Bug 58574 - "Illegal Instruction" when trying to start Apache with php installed on a K6-III
"Illegal Instruction" when trying to start Apache with php installed on a K6-III
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: php (Show other bugs)
1.0
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Copeland
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-20 03:26 EST by Bill Crawford
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-20 03:26:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Crawford 2002-01-20 03:26:38 EST
Description of Problem:
Apache fails to start.  Fiddling with the startup script to show error messages
reveals an "Illegal Instruction" signal is being received.  Removing extra
packages allowed Apache to start.  Same setup (current Raw Hide versions of
everything) starts fine on a Celeron box.  Could be a code generation problem? 
Given my recent record on diagnosing faults by guessing, I'd take that with a
pinch of salt.

Version-Release number of selected component (if applicable):

php = 4.0.6-13

[root@staryu i386]# rpm -q --qf '%{name}-%{version}-%{release} %{arch}\n' kernel
glibc apache
kernel-2.4.7-10 i386
kernel-2.4.9-13 i586
kernel-2.4.16-0.5 i386
glibc-2.2.90-3 i386
apache-1.3.22-2 i386
[root@staryu i386]# uname -a
Linux staryu.bchsz.org.uk 2.4.16-0.5 #1 Mon Dec 3 13:55:26 EST 2001 i586 unknown

How Reproducible:
Upgrade to the given package versions.  Try to start Apache.

Additional Information:
[root@staryu i386]# vim /etc/init.d/httpd 
[root@staryu i386]# service httpd start
Starting httpd: /usr/sbin/httpd -DHAVE_ACCESS -DHAVE_PROXY -DHAVE_AUTH_ANON
-DHAVE_ACTIONS -DHAVE_ALIAS -DHAVE_ASIS -DHAVE_AUTH -DHAVE_AUTOINDEX
-DHAVE_AUTH_DB -DHAVE_AUTH_DBM -DHAVE_CERN_META -DHAVE_CGI -DHAVE_DIGEST
-DHAVE_DIR -DHAVE_ENV -DHAVE_EXAMPLE -DHAVE_EXPIRES -DHAVE_HEADERS -DHAVE_IMAP
-DHAVE_INCLUDE -DHAVE_INFO -DHAVE_LOG_AGENT -DHAVE_LOG_CONFIG -DHAVE_LOG_REFERER
-DHAVE_MIME -DHAVE_MIME_MAGIC -DHAVE_MMAP_STATIC -DHAVE_NEGOTIATION
-DHAVE_REWRITE -DHAVE_SETENVIF -DHAVE_SPELING -DHAVE_STATUS -DHAVE_UNIQUE_ID
-DHAVE_USERDIR -DHAVE_USERTRACK -DHAVE_VHOST_ALIAS -DHAVE_PHP4 -DHAVE_AUTH_LDAP
/etc/init.d/httpd: line 4:  1597 Illegal instruction     (core dumped) $httpd
`moduleargs` $OPTIONS

[root@staryu i386]# rpm -e php
error: removing these packages would break dependencies:
        php = 4.0.6-13 is needed by php-ldap-4.0.6-13
        php = 4.0.6-13 is needed by php-mysql-4.0.6-13
        php = 4.0.6-13 is needed by php-pgsql-4.0.6-13
        php = 4.0.6-13 is needed by php-imap-4.0.6-13
        php = 4.0.6-13 is needed by php-manual-4.0.6-13
        php = 4.0.6-13 is needed by php-snmp-4.0.6-13
[root@staryu i386]# rpm -e $( rpm -qa | egrep ^php )
warning: /etc/php.ini saved as /etc/php.ini.rpmsave
[root@staryu i386]# service httpd start
Starting httpd: /usr/sbin/httpd -DHAVE_ACCESS -DHAVE_PROXY -DHAVE_AUTH_ANON
-DHAVE_ACTIONS -DHAVE_ALIAS -DHAVE_ASIS -DHAVE_AUTH -DHAVE_AUTOINDEX
-DHAVE_AUTH_DB -DHAVE_AUTH_DBM -DHAVE_CERN_META -DHAVE_CGI -DHAVE_DIGEST
-DHAVE_DIR -DHAVE_ENV -DHAVE_EXAMPLE -DHAVE_EXPIRES -DHAVE_HEADERS -DHAVE_IMAP
-DHAVE_INCLUDE -DHAVE_INFO -DHAVE_LOG_AGENT -DHAVE_LOG_CONFIG -DHAVE_LOG_REFERER
-DHAVE_MIME -DHAVE_MIME_MAGIC -DHAVE_MMAP_STATIC -DHAVE_NEGOTIATION
-DHAVE_REWRITE -DHAVE_SETENVIF -DHAVE_SPELING -DHAVE_STATUS -DHAVE_UNIQUE_ID
-DHAVE_USERDIR -DHAVE_USERTRACK -DHAVE_VHOST_ALIAS -DHAVE_AUTH_LDAP
Comment 1 Bill Crawford 2002-04-02 19:41:59 EST
Seems to work OK in current version (cf http://www/bchsz.org.uk/php/index.php).

Note You need to log in before you can comment on or make changes to this bug.